## rmpi 0.4.8

=== DESCRIPTION ===
Package: Rmpi
Version: 0.4-8
Date: 2004-04-21
Title: Interface (Wrapper) to MPI (Message-Passing Interface)
Author: Hao Yu
Maintainer: Hao Yu <hyu@stats.uwo.ca>
Depends: R (>= 1.8.1)
Description: Rmpi provides an interface (wrapper) to MPI APIs. It also 
	     provides interactive R slave environment in which 
	     distributed statistical computing can be carried out.
License: GPL version 2 or newer
URL: http://www.stats.uwo.ca/faculty/yu/Rmpi
Packaged: Thu Apr 22 10:03:22 2004; hyu

## rmpi 0.5

=== DESCRIPTION ===
Package: Rmpi
Version: 0.5-9
Date: 20010-11-30
Title: Interface (Wrapper) to MPI (Message-Passing Interface)
Author: Hao Yu
Maintainer: Hao Yu <hyu@stats.uwo.ca>
Depends: R (>= 2.2.0)
Suggests: rsprng, rlecuyer
Description: Rmpi provides an interface (wrapper) to MPI APIs. It also
        provides interactive R slave environment.
License: GPL (>= 2)
URL: http://www.stats.uwo.ca/faculty/yu/Rmpi
Packaged: 2010-11-30 19:38:01 UTC; hyu
Repository: CRAN
Date/Publication: 2010-11-30 19:55:14

## rmpi 0.6

=== DESCRIPTION ===
Package: Rmpi
Version: 0.6-9.2
Date: 2021-10-25
Title: Interface (Wrapper) to MPI (Message-Passing Interface)
Depends: R (>= 2.15.1)
Imports: parallel
Description: An interface (wrapper) to MPI. It also 
	     provides interactive R manager and worker environment.
License: GPL (>= 2)
URL: http://fisher.stats.uwo.ca/faculty/yu/Rmpi/
Maintainer: Hao Yu <hyu@stats.uwo.ca>
Packaged: 2021-10-25 17:40:20 UTC; hyu
Author: Hao Yu [aut]
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2021-10-25 18:10:02 UTC

## rmpi 0.6-7

=== debian/changelog ===
rmpi (0.6-7-1build2) cosmic; urgency=medium

  * No-change rebuild against r-api-3.5

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 01 Jun 2018 09:33:37 +0000

rmpi (0.6-7-1build1) cosmic; urgency=medium

  * No-change rebuild for dune openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 May 2018 17:03:42 +0000

rmpi (0.6-7-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Apr 2018 12:53:01 -0500

rmpi (0.6-6-4) unstable; urgency=medium

  * src/Rmpi.c: Also explicitly check for libmpi.so.20 as dlopen() is
    required with some flags to resolve linking		(Closes: #861748)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 May 2017 14:45:22 -0500

rmpi (0.6-6-3) unstable; urgency=medium

  * configure.ac: Rewritten in terms of pkg-config
  * debian/control: Added pkg-config to Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 06 Jan 2017 07:17:27 -0600

rmpi (0.6-6-2) unstable; urgency=medium

  * configure.ac: Add a new location for mpi.h to account for updated
    layout in Open MPI 2.0; will send upstream too 	(Closes: #850336)
  * configure: Updated accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Jan 2017 19:59:00 -0600

rmpi (0.6-6-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:43:11 -0500

rmpi (0.6-5-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 May 2014 06:52:16 -0500

rmpi (0.6-4-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 May 2014 06:48:06 -0500

rmpi (0.6-3-2) unstable; urgency=low

  * src/Rmpi.c: Applied patch from Don Armstrong to check for libmpi.so.0
    and libmpi.so.1 which has been forwarded upstream	(Closes: #741297)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Mar 2014 06:16:15 -0500

rmpi (0.6-3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Mar 2013 14:37:20 -0500

rmpi (0.6-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
  * debian/control: Added 'mpi-default-bin' to Build-Depends:

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Mar 2013 20:22:05 -0500

rmpi (0.6-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Aug 2012 05:18:07 -0500

rmpi (0.6-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Aug 2012 17:13:58 -0500

rmpi (0.5-9-3) unstable; urgency=low

  * configure.ac: Modified to cope with MPICH2 which should help with
    architectures which cannot provide OpenMPI

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 May 2012 16:13:17 -0500

rmpi (0.5-9-2) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Oct 2011 17:05:39 -0500

rmpi (0.5-9-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Nov 2010 18:49:40 -0600

rmpi (0.5-8-2) unstable; urgency=low

  * debian/rules: Pass extra argument '--no-test-load' to R CMD INSTALL 
    as we would need an MPI env. to load Rmpi		(Closes: #584353)
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Jun 2010 09:50:18 -0500

rmpi (0.5-8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Jan 2010 13:39:49 -0600

rmpi (0.5-7-4) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 14:02:14 -0600

rmpi (0.5-7-3) unstable; urgency=low

  * debian/control: Corrected typo and set Depends: to mpi-default-bin

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Jun 2009 21:29:17 -0500

rmpi (0.5-7-2) unstable; urgency=low

  * debian/control: Rewrote dependency on MPI using the new meta-packages 
    mpi-default-dev (for Build-Depends:) and mpi-default-bin (for Depends:)
    now that Open MPI 1.3.2 has hit unstable

  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Jun 2009 14:12:02 -0500

rmpi (0.5-7-1) unstable; urgency=low



=== debian/control ===
Source: rmpi
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.4.4), mpi-default-dev, mpi-default-bin, pkg-config
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmpi
Vcs-Git: https://salsa.debian.org/edd/r-cran-rmpi.git
Homepage: https://cran.r-project.org/package=Rmpi

Package: r-cran-rmpi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, mpi-default-bin
Suggests: r-cran-rsprng
Description: GNU R package interfacing MPI libraries for distributed computing
 This CRAN package provides an interface to the MPI (Message-Passing
 Interface) API. It also provides an interactive R slave environment
 in which distributed statistical computing can be carried out.

## rmpi 0.6-9

=== debian/changelog ===
rmpi (0.6-9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Nov 2018 06:03:20 -0600

rmpi (0.6-8-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Nov 2018 10:17:08 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.4.4), mpi-default-dev, mpi-default-bin, pkg-config
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.5.1), mpi-default-dev, mpi-default-bin, pkg-config
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmpi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmpi.git
 Homepage: https://cran.r-project.org/package=Rmpi

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/Rmpi_(.*)\.tar.gz

## rmpi 0.6-9.1

=== debian/changelog ===
rmpi (0.6-9.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Mar 2021 07:58:27 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.5.1), mpi-default-dev, mpi-default-bin, pkg-config
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.4), mpi-default-dev, mpi-default-bin, pkg-config
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmpi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmpi.git
 Homepage: https://cran.r-project.org/package=Rmpi

## rmpi 0.6-9.2

=== debian/changelog ===
rmpi (0.6-9.2-2) unstable; urgency=medium

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Remove Suggests: on r-cran-rsprng

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 03 Jan 2022 10:57:22 -0600

rmpi (0.6-9.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Oct 2021 20:56:19 -0500

=== debian/control ===
Source: rmpi
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), mpi-default-dev, mpi-default-bin, pkg-config
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmpi
Vcs-Git: https://salsa.debian.org/edd/r-cran-rmpi.git
Homepage: https://cran.r-project.org/package=Rmpi

Package: r-cran-rmpi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, mpi-default-bin
Description: GNU R package interfacing MPI libraries for distributed computing
 This CRAN package provides an interface to the MPI (Message-Passing
 Interface) API. It also provides an interactive R slave environment
 in which distributed statistical computing can be carried out.

## rmpi 0.7

=== DESCRIPTION ===
Package: Rmpi
Version: 0.7-3.3
Date: 2025-01-13
Title: Interface (Wrapper) to MPI (Message-Passing Interface)
Depends: R (>= 2.15.1)
Imports: parallel
Description: An interface (wrapper) to MPI. It also 
	     provides interactive R manager and worker environment.
License: GPL (>= 2)
URL: https://fisher.stats.uwo.ca/faculty/yu/Rmpi/
Maintainer: Hao Yu <hyu@stats.uwo.ca>
Packaged: 2025-01-13 15:26:37 UTC; hyuadm
Author: Hao Yu [aut, cre]
Authors@R: person(given = "Hao",
                    family = "Yu",
                    role = c("aut", "cre"),
                    email = "hyu@stats.uwo.ca")
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2025-01-13 16:50:02 UTC

## rmpi 0.7-1

=== debian/changelog ===
rmpi (0.7-1-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 09:42:35 -0500

rmpi (0.7-1-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Mar 2023 18:05:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), mpi-default-dev, mpi-default-bin, pkg-config
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.3.1), mpi-default-dev, mpi-default-bin, pkg-config
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmpi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmpi.git
 Homepage: https://cran.r-project.org/package=Rmpi

## rmpi 0.7-2

=== debian/changelog ===
rmpi (0.7-2-2) unstable; urgency=medium

  * debian/patches/mpich-pkg-config.patch: Added to ensure mpich
    buildability on 32-bit arches (thanks, Adrian) (closes #1075978)
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 09 Jul 2024 10:37:32 -0500

rmpi (0.7-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 Dec 2023 06:40:23 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.3.1), mpi-default-dev, mpi-default-bin, pkg-config
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), mpi-default-dev, mpi-default-bin, pkg-config
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmpi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmpi.git
 Homepage: https://cran.r-project.org/package=Rmpi

## rmpi 0.7-2.1

=== debian/changelog ===
rmpi (0.7-2.1-2) unstable; urgency=medium

  * debian/patches/updated_configure: Adjust for s/orted/prted/ renaming
    in OpenMPI binaries, patch also sent upstream 	(Closes: #1086312)
  * debian/patches/series: Updated as well

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Oct 2024 15:28:40 -0500

rmpi (0.7-2.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Sep 2024 07:04:44 -0500

## rmpi 0.7-3.3

=== debian/changelog ===
rmpi (0.7-3.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Jan 2025 11:12:21 -0600

rmpi (0.7-3.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch Build-Depends: from pkg-config to pkgconf

  * debian/patches/series: No longer call updated_configure
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Jan 2025 07:31:19 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), mpi-default-dev, mpi-default-bin, pkg-config
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.2), mpi-default-dev, mpi-default-bin, pkgconf
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmpi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmpi.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rmpi package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	RExtraInstallFlags="--no-test-load" dh $@ --buildsystem R
